package ru.yandex.webmaster3.core.data;

import ru.yandex.webmaster3.core.data.WebmasterHostId;

/**
 * @author avhaliullin
 */
public class UserAddedHost {
    private final WebmasterHostId webmasterHostId;
    private final long verificationUin;
    private final boolean verified;

    public UserAddedHost(WebmasterHostId webmasterHostId, long verificationUin, boolean verified) {
        this.webmasterHostId = webmasterHostId;
        this.verificationUin = verificationUin;
        this.verified = verified;
    }

    public WebmasterHostId getWebmasterHostId() {
        return webmasterHostId;
    }

    public long getVerificationUin() {
        return verificationUin;
    }

    public boolean isVerified() {
        return verified;
    }
}
